Package com.smartgwt.client.widgets.notify

# Class NotifyAction

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.notify.NotifyAction

All Implemented Interfaces:
  `HasHandlers`

public class NotifyAction extends DataClass
Represents an action that's associated with a message. Similar to the object form of `Callback`, except a title must also be specified, which is rendered as a clickable link in the message (unless `wholeMessage` is set).

See Also:
  - `Notify.configureMessages(java.lang.String, com.smartgwt.client.widgets.notify.NotifySettings)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotifyAction()`
  `NotifyAction(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NotifyActionCallback`
  `getActionCallback()`
  The callback to fire when the action is executed.
  `Boolean`
  `getDismissMessage()`
  Should a click on this action automatically dismiss the associated message?
  `static NotifyAction`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getSeparator()`
  Overrides `NotifySettings.actionSeparator` for this action.
  `String`
  `getTitle()`
  The title of the action to render into the message.
  `Boolean`
  `getWholeMessage()`
  Allows a click anywhere on the notification to execute the action.
  `void`
  `setActionCallback(NotifyActionCallback callback)`
  The callback to fire when the action is executed.
  `NotifyAction`
  `setDismissMessage(Boolean dismissMessage)`
  Should a click on this action automatically dismiss the associated message?
  `NotifyAction`
  `setSeparator(String separator)`
  Overrides `NotifySettings.actionSeparator` for this action.
  `NotifyAction`
  `setTitle(String title)`
  The title of the action to render into the message.
  `NotifyAction`
  `setWholeMessage(Boolean wholeMessage)`
  Allows a click anywhere on the notification to execute the action.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NotifyAction

    public NotifyAction()

  - ### NotifyAction

    public NotifyAction(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static NotifyAction getOrCreateRef(JavaScriptObject jsObj)

  - ### setDismissMessage

    public NotifyAction setDismissMessage(Boolean dismissMessage)
    Should a click on this action automatically dismiss the associated message?
    Parameters:
      `dismissMessage` - New dismissMessage value. Default value is null
    Returns:
      `NotifyAction` instance, for chaining setter calls

  - ### getDismissMessage

    public Boolean getDismissMessage()
    Should a click on this action automatically dismiss the associated message?
    Returns:
      Current dismissMessage value. Default value is null

  - ### setSeparator

    public NotifyAction setSeparator(String separator)
    Overrides `NotifySettings.actionSeparator` for this action.
    Parameters:
      `separator` - New separator value. Default value is null
    Returns:
      `NotifyAction` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getSeparator

    public String getSeparator()
    Overrides `NotifySettings.actionSeparator` for this action.
    Returns:
      Current separator value. Default value is null
    See Also:
      - `HTMLString`

  - ### setTitle

    public NotifyAction setTitle(String title)
    The title of the action to render into the message.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `NotifyAction` instance, for chaining setter calls
    See Also:
      - `HTMLString`

  - ### getTitle

    public String getTitle()
    The title of the action to render into the message.
    Returns:
      Current title value. Default value is null
    See Also:
      - `HTMLString`

  - ### setWholeMessage

    public NotifyAction setWholeMessage(Boolean wholeMessage)
    Allows a click anywhere on the notification to execute the action. If true, the action won't be rendered as a link.
    Parameters:
      `wholeMessage` - New wholeMessage value. Default value is null
    Returns:
      `NotifyAction` instance, for chaining setter calls

  - ### getWholeMessage

    public Boolean getWholeMessage()
    Allows a click anywhere on the notification to execute the action. If true, the action won't be rendered as a link.
    Returns:
      Current wholeMessage value. Default value is null

  - ### setActionCallback

    public void setActionCallback(NotifyActionCallback callback)
    The callback to fire when the action is executed.
    Parameters:
      `callback` -

  - ### getActionCallback

    public NotifyActionCallback getActionCallback()
    The callback to fire when the action is executed.
    Returns:
      callback